# Erstellung Aufruf: in $topdir/SPECS (oder $topdir/SOURCES)
# (rpm bzw.) rpmbuild -bb c_teamworknet-2.0.3.spec
# Installation Aufruf in $topdir/RPMS/noarch: rpm -ivh c_teamworknet-2.0.noarch.rpm
# rpm -i ftp://tux@teamworknet.dyndns.info/teamworknet/c_teamworknet-2.0.noarch.rpm
# oder Doppelklick auf RPM-Paketdatei (siehe README), Deinstallation: temp- und spool-Verzeichnisse werden nicht gelöscht)

# Noch zu testen mit einem Source-RPM:
# sources und spec file nach /usr/src/packages/SOURCES/ kopieren und das Source-RPM mit
# "rpm --rebuild c_teamworknet-*.nosrc.rpm", bzw. "rpmbuild --rebuild c_teamworknet-*.nosrc.rpm"
# umwandeln. Die fertigen RPMs befinden sich dann unter /usr/src/packages/RPMS/noarch.

# $topdir siehe Konfigurationsdatei (global: /usr/lib/rpm/rpmrc, /etc/rpmrc, benutzerabhängig: ~/.rpmrc)
# 	  Red Hat: /usr/src/redhat, SuSE: /usr/src/packages, Mandrake: /usr/scr/RPM, Knoppix: /usr/src/rpm

# Red Hat: Fedora Core, Mandriva (Ex-Mandrake)
# http://www.rpm.org/RPM-HOWTO
# http://rpm.redhat.com

# http://www.unix-ag.uni-kl.de/~linux/linuxtag99/rpm_pakete_im_eigenbau.html
# http://www.masterscripts.de/howto/DE-RPM-HOWTO.html
# http://www.openschoolserver.de/Sections-article32-p1.phtml

# Debian: (K)Ubuntu, Advanced Packaging Tool (APT)
# APT HOWTO - http://www.debian.org/doc/manuals/apt-howto/index.de.html
# (Installieren selbstkompilierter Pakete: equivs - http://www.debian.org/doc/manuals/apt-howto/ch-helpers.de.html#s-equivs)
# rpm: To install rpm packages on Debian systems, use alien. See README.Debian.
# /var/lib/alien
# /var/lib/dpkg/info/teamworknet.conffiles .list .md5sums (.postinst fehlt!)
# /usr/share/doc/teamworknet/changelog.Debian.gz
# /usr/share/doc/teamworknet/copyright ("This package was debianized by the alien program by converting a binary .rpm package")
# /usr/share/doc/rpm/README.Debian

# Generate a Debian deb package: alien -dvck c_teamworknet-2.0.noarch.rpm (verbose, include scripts, keep-version)
# Install generated package:	alien -iv c_teamworknet-2.0_all.deb	
# 				dpkg -i c_teamworknet-2.0_all.deb (sauschnell)
#				(dselect) (dpkg frontend) (oder aptitude)
#				
# (K-Menü - System - Synaptic Paketverwaltung)

# Wie man APT lokal benutzt
# dpkg-scanpackages . /dev/null | gzip > Packages.gz
# "deb file:/usr/src/rpm/RPMS noarch/" in etc/apt/sources.list einfügen
# (Synaptic Warnung: Kann nicht auf die Liste file: noarch/ Packages (/var/lib/apt/lists/_usr_src_rpm_RPMS_noarch_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) )
# apt-get update (Internetverbindung nötig) (Ign  file: noarch/ Release)

# Packages-Beispiel:
# Package: teamworknet
# Version: 1.07-20050526
# Priority: extra
# Section: alien
# Maintainer: root <root@colinux>
# Architecture: all
# Filename: ./teamworknet_1.07_all.deb
# Size: 48647348
# Installed-Size: 71440
# MD5sum: 33a056835b21fb57e1d28100dac1cbba
# Description: TEAMWORKNET (Version 1.07 20050525)
#  Branchenspezifische Softwareloesung fuer die grafische Industrie
#  .
#  (Converted from a rpm package by alien version 8.46.)

# Apache HTTP Server DocumentRoot htdocs (%define htdocs)
# SuSE: /srv/www/htdocs
# Debian, Knoppix: /var/www

# Requires: Java Runtime Environment 1.5
# j2re = 1.5.0 (für Teamworknet mit Java Web Start)
# java2-jre = 1.5.0

%define name teamworknet
%define twn_version 2.0
%define twn_release 3
%define copyright_year 2007
%define installdir /opt/%{name}

Summary: TEAMWORKNET Client (Version %{twn_version}.%{twn_release})
Name: %{name}
Version: %{twn_version}
Release: %{twn_release}
License: (C) %{copyright_year} Hennings, Weickert & Reimers GbR, Hamburg
#License: commercial
Group: Applications/Productivity
Source: c_%{name}-%{twn_version}.tar.gz
Vendor: Hennings, Weickert & Reimers GbR
Distribution: Hennings, Weickert & Reimers GbR
Packager: Hennings, Weickert & Reimers GbR <support@teamworknet.de>
# Requires: java2-jre = 1.5.0
BuildArchitectures: noarch

%description
Branchenspezifische Softwareloesung fuer die grafische Industrie
# Calculational and commercial Software for the printing industry

Vor der Installation sollten Sie alle anderen Programme schließen.
Zur Installation müssen Sie root-Rechte (su) auf dem gewählten Rechner haben.

Mit Klick auf die Buttons "Verzeichnis als YaST-Quelle verwenden" und "Paket mit YaST installieren" starten Sie die Installation unter SUSE Linux.

Wir empfehlen ausserdem die Installation der Java 6 oder 1.5.0 Laufzeitumgebung. 
(in der Konsole mit ./jre-6u3-linux-i586-rpm.bin bzw. ./jre-1_5_0_13-linux-i586-rpm.bin)

Rufen Sie nach der Installation folgende Verknüpfung auf dem Desktop auf: 
TEAMWORKNET Client (Benutzername und Kennwort bekommen Sie von Ihrem Administrator; nach Server-Neuinstallation: admin ohne Kennwort)

Empfohlene Systemvoraussetzungen: 1,5 GHz PC mit 512 MB RAM und SUSE Linux ab 9.0
Mind. 1 GB freier Festplattenplatz, 512 MB für den virtuellen Arbeitsspeicher (Swap Partition).

Auf www.teamworknet.de/TWN/Hilfe finden Sie zusätzliche Informationen.
Fragen, Anregungen und Fehlermeldungen bitte per E-Mail an support@teamworknet.de

Copyright © 2004-2007 TEAMWORKNET, Hennings, Weickert & Reimers GbR, Hamburg

# %description -l de
# Branchenspezifische Softwareloesung fuer die grafische Industrie

%prep
%setup -n %{name}

%build

%install

%clean
rm -rf $RPM_BUILD_DIR/*
#rm -f $RPM_SOURCE_DIR/*
#rm -f $RPM_SPEC_DIR/*
mv $RPM_BUILD_DIR/../RPMS/noarch/%{name}-%{twn_version}-%{twn_release}.noarch.rpm $RPM_BUILD_DIR/../RPMS/noarch/c_%{name}-%{twn_version}.noarch.rpm


%post
cp -v %{installdir}/desktop/TEAMWORKNET* ~/Desktop
cp -v %{installdir}/desktop/TEAMWORKNET* ~/.local/share/applications
cp -v %{installdir}/desktop/applications.menu ~/.config/menus
# sh %{installdir}/client/postinstall

%files
%{installdir}
%attr(777,-,-) %{installdir}/client/bin
%attr(777,-,-) %{installdir}/client/log
%attr(777,-,-) %{installdir}/client/patch
%attr(777,-,-) %{installdir}/client/patch/bin
%attr(777,-,-) %{installdir}/client/temp
%attr(777,-,-) %{installdir}/client/work


%doc %{installdir}/Anwender.txt
%doc %{installdir}/Lizenz.txt
%config %{installdir}/client/teamworknet.cfg

%changelog
* Tue Oct 9 2007 Hennings, Weickert & Reimers GbR <support@teamworknet.de>
- 2nd Client RPM release (SUSE 10.1)

# end of file
